<?xml version="1.0" encoding="gb2312"?>
<xs:schema xmlns="http://www.h3c.com/netconf/config:1.0" xmlns:base="http://www.h3c.com/netconf/base:1.0" xmlns:netconf="urn:ietf:params:xml:ns:netconf:base:1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.h3c.com/netconf/config:1.0" elementFormDefault="qualified">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"/>
  <xs:import namespace="urn:ietf:params:xml:ns:netconf:base:1.0" schemaLocation="netconf.xsd"/>
  <xs:annotation>
    <xs:documentation>LLDP module config</xs:documentation>
  </xs:annotation>
  <xs:complexType name="LLDPAgentID">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:enumeration value="1"/>
        <xs:enumeration value="2"/>
        <xs:enumeration value="3"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="ChassisIDType">
    <xs:annotation>
      <xs:documentation>
        Enumeration:
        0 Reserved.
        1 Chassis component.
        2 Interface alias.
        3 Port component.
        4 MAC address.
        5 Network address.
        6 Interface name.
        7 Locally assigned.
      </xs:documentation>
    </xs:annotation>
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:enumeration value="0"/>
        <xs:enumeration value="1"/>
        <xs:enumeration value="2"/>
        <xs:enumeration value="3"/>
        <xs:enumeration value="4"/>
        <xs:enumeration value="5"/>
        <xs:enumeration value="6"/>
        <xs:enumeration value="7"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PortIDType">
    <xs:annotation>
      <xs:documentation>
        Enumeration:
        0 Reserved.
        1 Interface alias.
        2 Port component.
        3 MAC address.
        4 Network address.
        5 Interface name.
        6 Agent circuit ID.
        7 Locally assigned.
      </xs:documentation>
    </xs:annotation>
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:enumeration value="0"/>
        <xs:enumeration value="1"/>
        <xs:enumeration value="2"/>
        <xs:enumeration value="3"/>
        <xs:enumeration value="4"/>
        <xs:enumeration value="5"/>
        <xs:enumeration value="6"/>
        <xs:enumeration value="7"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="Binary255">
    <xs:simpleContent>
      <xs:restriction base="base:Binary">
        <xs:minLength value="1"/>
        <xs:maxLength value="255"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="LLDPVLANID">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:maxInclusive value="4094"/>
        <xs:minInclusive value="1"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="LLDPELINumber">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:pattern value="^[0-9]{10,25}$"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="LLDPCivicCountryCode">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:pattern value="^[A-Z]{2,2}$"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:element name="LLDP">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="GlobalStatus" minOccurs="0">
          <xs:annotation>
            <xs:documentation>LLDP global status configuration</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>LLDP feature enable status</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="CDP" type="base:Boolean" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>CDP compliance status</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="TxInterval" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Transmit interval of LLDPDU</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:maxInclusive value="32768"/>
                      <xs:minInclusive value="5"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="FastInterval" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Fast transmit interval of LLDPDU</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:maxInclusive value="3600"/>
                      <xs:minInclusive value="1"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="ReInitDelay" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Reinitialize delay</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:maxInclusive value="10"/>
                      <xs:minInclusive value="1"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="NofityInterval" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Traps notify interval</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:maxInclusive value="3600"/>
                      <xs:minInclusive value="5"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Mode" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>
                    Bridge mode, Enumeration:
                    0 Customer bridge mode.
                    1 Service bridge mode.
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="0"/>
                      <xs:enumeration value="1"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="MaxCredit" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Token bucket size for sending LLDPDUs</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:maxInclusive value="100"/>
                      <xs:minInclusive value="1"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="HoldMult" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>TTL multiplier</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:maxInclusive value="10"/>
                      <xs:minInclusive value="2"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="FastCount" nillable="true" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>TTL multiplier</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:maxInclusive value="8"/>
                      <xs:minInclusive value="1"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Interfaces" minOccurs="0">
          <xs:annotation>
            <xs:documentation>LLDP interface status configuration</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Protocol interface status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="CDP" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Interface CDP compliance status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MEDTopoChange" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>MED topology change notification status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="IfAgents" minOccurs="0">
          <xs:annotation>
            <xs:documentation>LLDP interface agent configuration</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="IfAgent" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="AgentID" type="LLDPAgentID" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>LLDP agent ID</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="AdminStatus" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Admin status of LLDP</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Tx" type="base:Boolean" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Transmit status</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Rx" type="base:Boolean" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Receive status</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="CheckChangeInterval" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Check change interval</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:maxInclusive value="30"/>
                            <xs:minInclusive value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Encap" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          LLDPDU Ethernet head encapsulation, Enumeration:
                          0 Ethernet II encapsulation.
                          1 SNAP encapsulation.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AddressFormat" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Management address format, Enumeration:
                          0 Number.
                          1 String.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RemoteChange" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Remote change notification status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="TLVSelects" minOccurs="0">
          <xs:annotation>
            <xs:documentation>LLDP interface TLV transmitting status configuration</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="TLV" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="AgentID" type="LLDPAgentID" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>LLDP agent ID</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PortDesc" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Port description TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="SysName" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>System name TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="SysDesc" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>System description TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="SysCap" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>System capability TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ManageAddress" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Management address TLV transmitting configuration</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="SubType" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Management address sub type, Enumeration:
                                1 Ipv4.
                                2 Ipv6.
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"/>
                                  <xs:enumeration value="2"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Address" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Management address value, Base64 Binary. 
                                Length: 1 to 31 octets.
                                The format of data is determined by the address subtype.
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:Binary">
                                  <xs:maxLength value="31"/>
                                  <xs:minLength value="1"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Management address TLV transmitting status</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="PVID" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Port VLAN ID TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ProtocolVLAN" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Port and protocol VLAN ID TLV transmitting configuration</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="VLANID" type="LLDPVLANID" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Protocol VLAN ID.
                              </xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Port and protocol VLAN ID TLV transmitting status</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VLANName" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>VLAN name TLV transmitting configuration</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="VLANID" type="LLDPVLANID" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>VLAN ID</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>VLAN name TLV transmitting status</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="DCBX" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>DCBX TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="LinkAgg" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Link aggregation TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ManageVLAN" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Management VLAN TLV transmitting configuration</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="VLANID" type="LLDPVLANID" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>VLAN ID</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Management VLAN TLV transmitting status</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="EVB" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>EVB TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="QCN" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>QCN TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MACPHY" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Mac physic configuration/status TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Power" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Power via MDI TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MaxFrame" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Max frame size TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MEDCapability" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>MED capability TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="NetworkPolicy" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Network policy TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ExtPower" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Extended power via MDI TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Inventory" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Inventory TLVs transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="ELINumbers" minOccurs="0">
          <xs:annotation>
            <xs:documentation>LLDP emergency location identification number configuration</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ELIN" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ELINumber" type="LLDPELINumber" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Emergency Location Identification Number</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Location ID TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="CivicAddresses" minOccurs="0">
          <xs:annotation>
            <xs:documentation>LLDP civic address configuration</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="CivicAddress" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" nillable="true" minOccurs="0" maxOccurs="1">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="DeviceType" nillable="true" minOccurs="0" maxOccurs="1">
                      <xs:annotation>
                        <xs:documentation>
                          Device type, Enumeration:
                          0 DHCP Server.
                          1 Network device.
                          2 MED endpoint.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="CountryCode" type="LLDPCivicCountryCode" nillable="true" minOccurs="0" maxOccurs="1">
                      <xs:annotation>
                        <xs:documentation>Country code</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="CA" nillable="true" minOccurs="0" maxOccurs="10">
                      <xs:annotation>
                        <xs:documentation>Civic address</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Type" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                                                Civic address type, Value range: 0 to 255.
                                                            </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:maxInclusive value="255"/>
                                  <xs:minInclusive value="0"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Value" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>Civic address value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:OctectString">
                                  <xs:maxLength value="250"/>
                                  <xs:minLength value="1"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Enable" type="base:Boolean" nillable="true" minOccurs="0" maxOccurs="1">
                      <xs:annotation>
                        <xs:documentation>Location ID TLV transmitting status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:sequence>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"/>
    </xs:complexType>
  </xs:element>
</xs:schema>
